package kr.co.zumo.app.lifeplus.view.fragment.factory;

import org.junit.Test;

public class BasicFragmentFactoryTest {

  @Test(expected = RuntimeException.class)
  public void getFragmentImpl() {
    BasicFragmentFactory factory = new BasicFragmentFactory();

//    Assert.assertTrue(factory.getFragment(ScreenID.LOGIN) instanceof LoginFragment);
//    Assert.assertTrue(factory.getFragment(ScreenID.MAIN) instanceof MainFragment);
//    Assert.assertTrue(factory.getFragment(ScreenID.SIGN_UP) instanceof SignUpFragment);

    // throw exception
    factory.getFragment(-1);
  }
}